%define name multixterm
%define version 0.1
%define release 1mdk

Summary: Multixterm - drive multiple xterms separately or together
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}
Source1: %name.man
License: GPL
Group: Networking/Remote access
Url: http://expect.nist.gov/example/multixterm.man.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: noarch	
requires: expect

%description
Multixterm creates multiple xterms that can be driven together or separately.
In its simplest form, multixterm is run with no arguments and commands are 
interactively entered in the first entry field. Press return (or click the 
"new xterm" button) to create a new xterm running that command.
Keystrokes in the "stdin window" are redirected to all xterms started by 
multixterm. xterms may be driven separately simply by focusing on them.
The stdin window must have the focus for keystrokes to be sent to the xterms.
When it has the focus, the color changes to aquamarine. As characters are
entered, the color changes to green for a second. This provides feedback
since characters are not echoed in the stdin window.
Typing in the stdin window while holding down the alt or meta keys sends
an escape character before the typed characters. This provides support for
programs such as emacs. 

%prep
#%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%name.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/%name.1*

%changelog
* Wed May 26 2004 Aginies <aginies@n2.mandrakesoft.com> 0.1-1mdk
- first Mandrakesoft release
